*****Step1 ݴ****

***ԵʼĴ***
sort panelid year
gen dzyj_ad=dzyj
replace dzyj_ad=0 if dzyj_ad==.
bys panelid: replace dzyj_ad=1 if dzyj_ad[_n-1]==1&dzyj_ad==0
label var dzyj_ad "ĵʼ"

**ҵѡ**
drop if ckjhz==0
drop if ckjhz==.
drop if ckjhz<0

**ɾʧĴ**
keep if year==2001
keep panelid 
save "/Users/xinyuehu/Desktop/2001.dta"
duplicates drop panelid,force
use "/Users/xinyuehu/Documents/survival_export_paper/2001_2008_dzyj_export.dta"
merge m:m panelid using  "/Users/xinyuehu/Desktop/2001.dta"
browse year panelid if _merge==3
drop if _merge==3
save "/Users/xinyuehu/Documents/survival_export_paper/2001_2008_dzyj_export_left_cen.dta"
drop _merge
save "/Users/xinyuehu/Documents/survival_export_paper/2001_2008_dzyj_export_left_cen.dta", replace

***ϴ***
**漰ĲϹֵ(ƹͳƹ)
drop if cyrs<8
drop if gyxsczxjxgd<500
drop if gdzcjznpjye<=0
drop if sszb<=0
drop if zjtrhj<=0
drop if zczj<ldzchj
drop if zczj<gdzcjznpjye
drop if ljzj<bnzj

**漰ȱʧֵ
drop if cyrs==.
drop if gyxsczxjxgd==.
drop if gyzczxjxgd==.
drop if gdzcjznpjye==.
drop if sszb==.
drop if zjtrhj==.

**ʱ**
sort panelid year
bys panelid: gen x1=year-year[_n-1]
replace x1=1 if x1==.
bys panelid: replace x1=x1[_n-1] if x1[_n-1]>1&x1==1
replace x1=1 if x1==.
sort panelid x1 year
bys panelid x1: gen survival=_n
label var survival "ҵڳʱ"

bys panelid x1: egen x3=max(year)
gen fail=0 if x3==2007&year==2007
replace fail=1 if fail==.

**趨**
stset survival,failure(fail==1)
**Kaplan-Meier**
stci,rmean
sts graph,by(dzyj_ad)
stci, rmean by(dzyj_ad)

**Log-rank test**
sts test dzyj_ad, logrank
sts test dzyj_ad, wilcoxon

**ѡȡ**
gen lnscale_labor=ln(1+cyrs)
label var lnscale_labor "Դҵʾҵģ"

gen age=year-kysjn+1
gen lnage=ln(1+age)

gen WAGE= bnyfgzze+ bnyfflfze
gen wage=WAGE/cyrs
gen lnwage=ln(1+wage)

gen capital= gdzcjznpjye/cyrs
gen lncapital=ln(1+capital)

gen export=ckjhz/ gyzczxjxgd
label var export "ҵǿ"
gen lnexport=ln(1+export)

gen hylb_1=substr(hylb,1,2)
destring(hylb), gen (hylb_2)

gen foreign_ratio=wszbj/sszb

gen province=substr(dqdm,1,2)
destring province,replace
rename province regioncode
gen province=.
label var province "1Ϊ2Ϊв3Ϊ"
replace province=1 if  regioncode==11|regioncode==12|regioncode==13|regioncode==21|regioncode==31|regioncode==32|regioncode==33|regioncode==35|regioncode==37|regioncode==44|regioncode==46
replace province=2 if regioncode==14|regioncode==22|regioncode==23|regioncode==34|regioncode==36|regioncode==41|regioncode==42|regioncode==43
replace province=3 if regioncode==51|regioncode==50|regioncode==53|regioncode==52|regioncode==54|regioncode==61|regioncode==62|regioncode==63|regioncode==64|regioncode==65|regioncode==45|regioncode==15

**ͱ**
gen outcome=1 if x3<2007&year==x3
replace outcome=0 if outcome==.



**Base regression**
xtcloglog outcome dzyj_ad
xtcloglog outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio 
xtcloglog outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province
xtprobit outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province
xtlogit outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province
cox survival  dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio mean_total ,dead(outcome)

******ѡƫ******
psmatch2 dzyj_ad lntfp lnscale_labor lncapital lnwage lnage foreign_ratio,logit neighbor(3) common caliper(0,05)
pstest lntfp lnscale_labor lncapital lnwage lnage foreign_ratio,both
drop if _weight==.
xtcloglog outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province

psmatch2 dzyj_ad lntfp lnscale_labor lncapital lnwage lnage foreign_ratio,logit neighbor(5) common caliper(0.05)
drop if _weight==.
xtcloglog outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province

psmatch2 dzyj_ad lntfp lnscale_labor lncapital lnwage lnage foreign_ratio,logit radius cal(0.001)
drop if _weight==.
xtcloglog outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province

****Ƽ*****
***ʼڶ****
xtreg lniniti_n dzyj_ad lnscale_labor lntfp lnage lnwage lncapital  lnexport foreign_ratio i.hylb_2 i.province,fe
est store m1
outreg2 [m1] using Table1.doc, replace bdec(4) sdec(4)

xtcloglog outcome lniniti_n dzyj_ad lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.hylb_2 i.year i.province
est store m1
outreg2 [m1] using Table1.doc, replace bdec(4) sdec(4)

****ĿĹ****
xtlogit outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province
xtreg lnn_orgin dzyj_ad lnscale_labor lntfp lnage lnwage lncapital  lnexport foreign_ratio i.year i.hylb_2 i.province,fe
xtcloglog outcome lnn_orgin dzyj_ad lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.hylb_2 i.year i.province

****ڲƷ****
xtlogit outcome dzyj_ad  lnscale_labor lntfp lnage lnwage lncapital lnexport foreign_ratio i.year i.hylb_2 i.province
xtreg lnn dzyj_ad lnscale_labor lntfp lnage lnwage lncapital  lnexport foreign_ratio i.year i.hylb_2 i.province,fe
xtcloglog outcome lnn dzyj_ad lnscale_labor lntfp lnage lnwage lncapital lnexport forsheign_ratio i.hylb_2 i.year i.province

*********
xtcloglog outcome dzyj_ad lnscale_labor lnage lnwage lncapital lnexport foreign_ratio i.hylb_2 i.year i.province
xtreg lntfp dzyj_ad lnscale_labor lnage lnwage lncapital  lnexport foreign_ratio i.hylb_2 i.year i.province,fe
xtcloglog outcome lntfp dzyj_ad lnscale_labor lnage lnwage lncapital lnexport foreign_ratio i.hylb_2 i.year i.province

*****ҵз*****
gen lnyjkff_new=ln(1+yjkff_new)
xtreg lnyjkff_new dzyj_ad lnscale_labor lnage lnwage lncapital  lnexport foreign_ratio i.hylb_2 i.province,fe
xtcloglog outcome lnyjkff_new dzyj_ad lnscale_labor  lnage lnwage lncapital lnexport foreign_ratio i.hylb_2 i.year i.province
